Content & StorefrontProducts
Create product review
Submits a review for a product. It is not published immediately: the merchant moderates it first.
Path Parameters
productId*string
Identifier of the product.
Header Parameters
x-Store-Domain*string
Slug of the store or one of its configured domains, such as my-store.
Length
1 <= length <= 253Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X POST "https://storefront.ecomiq.pe/v1/products/7204558912004322039/reviews" \ -H "x-Store-Domain: my-store" \ -H "Content-Type: application/json" \ -d '{ "rating": 5, "content": "Gracias por tu compra, Andrea.", "title": "Muy buena calidad", "reviewerName": "Muy buena calidad", "reviewerEmail": "andrea.ramos@example.com", "orderId": "7204558912004325350", "reviewToken": "replace_with_the_issued_token" }'{ "id": "7204558912004321328", "productId": "7204558912004322039", "isVerifiedPurchase": true, "rating": 5, "title": "Muy buena calidad", "content": "Gracias por tu compra, Andrea.", "reviewerName": "Muy buena calidad", "createdOn": "2026-09-28T15:30:00Z"}